> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cavok.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Find by Cloud ID

> Multiple status values can be provided with comma separated strings



## OpenAPI

````yaml get /account/{id}
openapi: 3.0.3
info:
  title: Cavok Cloud - OpenAPI 3.0
  description: This is the OpenAPI 3.0 documentation for Cavok Cloud API.
  termsOfService: https://docs.cavok.dev/terms
  contact:
    name: Discord Support
    url: https://discord.gg/hRzryzg3cz
  version: 1.1.0
servers:
  - url: https://resource.cavok.dev/api/v1
security: []
tags:
  - name: Open Endpoints
    description: These do not ask for authorization token
  - name: Auth
    description: How to authenticate with the API
  - name: Account
    description: Operations about Accounts (Cloud ID account)
externalDocs:
  description: Documentation
  url: https://docs.cavok.dev
paths:
  /account/{id}:
    get:
      tags:
        - Account
      summary: Find by Cloud ID
      description: Multiple status values can be provided with comma separated strings
      operationId: getAccountById
      parameters:
        - name: id
          in: path
          description: Cloud ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/StandardResponse'
                  - type: object
                    properties:
                      data:
                        $ref: '#/components/schemas/Account'
        '400':
          description: Invalid ID
      security:
        - ApiAuth:
            - read
components:
  schemas:
    StandardResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
          nullable: false
        data:
          type: object
          nullable: true
        message:
          type: string
          default: null
          nullable: true
    Account:
      type: object
      properties:
        orgId:
          type: string
          example: 67320e335aa8b99012c888ff
        id:
          type: string
          example: 771x2QdN-XQu-xXnN8wVx
        name:
          type: string
          example: Staging Workloads
        createdAt:
          type: number
          example: 1733094757000
        provider:
          type: string
          example: AWS
        providerId:
          type: string
          example: 996399990199
        confirmed:
          type: boolean
          example: true
        type:
          type: string
          enum:
            - accessKey
            - assumeRole
          example: assumeRole
        logs:
          type: boolean
          example: true
  securitySchemes:
    ApiAuth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://resource.cavok.dev/api/v1/oauth/token
          scopes:
            read: Grants read access
            write: Grants write access

````